> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtenir un résultat KYC par ID

> Récupérez le résultat de la vérification KYC pour une entité spécifique par son ID de recherche.

L'endpoint Obtenir un résultat KYC par ID renvoie les résultats complets d'une vérification KYC terminée pour une entité spécifique, notamment le niveau de risque, les correspondances de sanctions, les constats PEP et les médias défavorables.

## Endpoint

```
GET /api/v1/monitoring/kyc_search/{id}/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |

### Paramètres de chemin

| Paramètre | Type    | Requis | Description                                     |
| --------- | ------- | ------ | ----------------------------------------------- |
| `id`      | integer | Oui    | Identifiant unique du résultat de recherche KYC |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://adhere-api.smartcomply.com/api/v1/monitoring/kyc_search/17/" \
    -H "x-access-token: YOUR_SECRET_KEY"
  ```
</CodeGroup>

## Réponse

### 200 OK

| Champ                               | Type            | Description                                                                                    |
| ----------------------------------- | --------------- | ---------------------------------------------------------------------------------------------- |
| `data.id`                           | number          | Identifiant unique du résultat de recherche KYC                                                |
| `data.entity_name`                  | string          | Nom de l'entité qui a été recherchée                                                           |
| `data.branch_id`                    | number          | Agence associée à cette recherche KYC                                                          |
| `data.status`                       | string          | Statut de la recherche (p. ex., `"completed"`)                                                 |
| `data.result.risk_level`            | string          | Niveau de risque évalué : `"low"`, `"medium"` ou `"high"`                                      |
| `data.result.total_hits`            | number          | Total des correspondances signalées dans toutes les catégories                                 |
| `data.result.pep_results`           | array           | Correspondances de Personnes Politiquement Exposées                                            |
| `data.result.sanction_results`      | array           | Correspondances de listes de sanctions avec pays, organisme et types                           |
| `data.result.social_media`          | array           | Profils de médias sociaux trouvés                                                              |
| `data.result.adverse_media_results` | string ou array | Constats de médias défavorables, ou un message en attente si le traitement est encore en cours |
| `data.result.total_blacklist_hits`  | number          | Total des indicateurs de liste noire                                                           |

```json theme={null}
{
  "status": "success",
  "data": {
    "id": 17,
    "entity_name": "ABDUL MANAN MOHAMMAD ISHAK",
    "branch_id": 3,
    "status": "completed",
    "result": {
      "risk_level": "low",
      "total_hits": 1,
      "pep_results": [],
      "search_term": "ABDUL MANAN MOHAMMAD ISHAK",
      "social_media": [],
      "sanction_results": [
        {
          "name": "Abdul Manan Mohammad Ishak",
          "types": ["sanction", "warnings", "fitness-probity"],
          "source": "Smartcomply",
          "country": "Afghanistan",
          "recorded_date": "15 Aug. 2012"
        }
      ],
      "total_blacklist_hits": 0,
      "adverse_media_results": "Adverse Media Result(s) for ABDUL MANAN MOHAMMAD ISHAK will be available shortly if any are found"
    }
  },
  "message": "Success"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```

### 404 Not Found

```json theme={null}
{
  "status": "failed",
  "message": "No KYC result found for the specified ID."
}
```


## OpenAPI

````yaml GET /api/v1/monitoring/kyc_search/{id}/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/v1/monitoring/kyc_search/{id}/:
    get:
      tags:
        - Transaction KYC
      summary: Get KYC Result by ID
      operationId: getKycById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: KYC search result ID
      responses:
        '200':
          description: KYC result retrieved
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: Not Found
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````